Name:           nanomsg
Version:        1.2.1
Release:        1
Summary:        Socket library that provides several common communication patterns
License:        MIT
URL:            https://nanomsg.org/
Source0:        https://github.com/nanomsg/nanomsg/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake,gcc
# only for docs
BuildRequires:  rubygem-asciidoctor

%description
nanomsg is a socket library that provides several common communication patterns. It aims to make the networking layer fast, scalable, and easy to use. Implemented in C, it works on a wide range of operating systems with no further dependencies.

The nanomsg library is a simple high-performance implementation of several "scalability protocols". These scalability protocols are light-weight messaging
protocols which can be used to solve a number of very common messaging patterns, such as request/reply, publish/subscribe, surveyor/respondent, and so forth.  These protocols can run over a variety of transports such as TCP, UNIX sockets, and even WebSocket.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake3 \
  -DTHREADSAFE=ON \
  %{nil}
make %{?_smp_mflags} VERBOSE=1

%install
make DESTDIR=%{buildroot} install

%check
ctest

%files
%license COPYING
%{_bindir}/nanocat
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/nanocat.1*

%files devel
%doc tests
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}-%{version}/
%{_includedir}/%{name}/
%{_defaultdocdir}/%{name}/
%{_mandir}/man3/nn_*.3*
%{_mandir}/man7/nn_*.7*
%{_mandir}/man7/%{name}.7*

%files doc
%doc AUTHORS doc README.md RELEASING SUPPORT

%changelog
* Fri Mar 01 2024 xiejing <xiejing@kylinos.cn> - 1.2.1-1
* upgrade to 1.2.1

* Wed Nov 16 2022 dillon chen <dillon.chen@gmail.com> - 1.1.5-1
- package init
